.\"	$NetBSD: apm.8,v 1.18 2008/04/30 13:11:01 martin Exp $
.\"
.\" Copyright (c) 1996 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by John Kohl.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd June 18, 1996
.Dt APM 8
.Os
.Sh NAME
.Nm apm ,
.Nm zzz
.Nd Advanced Power Management control program
.Sh SYNOPSIS
.Nm
.Op Fl abdlmsSvz
.Bk -words
.Op Fl f Ar sockname
.Ek
.Nm zzz
.Op Fl Sz
.Bk -words
.Op Fl f Ar sockname
.Ek
.Sh DESCRIPTION
.Nm
communicates with the Advanced Power Management daemon,
.Xr apmd 8 ,
making requests of it for current power status or to place the system
into a suspend or stand-by state.
The
.Nm
tool is only installed on supported platforms.
.Pp
With no flags,
.Nm
displays the current power management state in verbose form.
.Pp
Available command-line flags are:
.Bl -tag -width indent -compact
.It Fl z
Put the system into suspend (deep sleep) mode.
.It Fl S
Put the system into stand-by (light sleep) mode.
.It Fl l
Display the estimated battery lifetime in percent.
.It Fl m
Display the estimated battery lifetime in minutes.
.It Fl b
Display the battery status.  0 means high, 1 means low, 2 means
critical, 3 means charging, 4 means absent, and 255 means unknown.
.It Fl a
Display the external charger (A/C status).  0 means disconnected, 1
means connected, 2 means backup power source, and 255 means unknown.
.It Fl s
Display if power management is enabled.
.It Fl v
Request more verbose description of the displayed states.
.It Fl f Ar sockname
Set the name of the socket via which to contact
.Xr apmd 8
to
.Pa sockname .
.It Fl d
Do not communicate with the APM daemon; attempt instead to manipulate
the APM control device directly.
.El
.Pp
The
.Nm zzz
variant of this command is an alternative for suspending the system.
With no arguments,
.Nm zzz
places the system into suspend mode.
The command line flags serve the same purpose as for the
.Nm
variant of this command.
.Pp
This command does not wait for positive confirmation that the requested
mode has been entered; to do so would mean the command does not return
until the system resumes from its sleep state.
.Sh FILES
.Pa /var/run/apmdev
is the default UNIX-domain socket used for communication with
.Xr apmd 8 .
The
.Fl f
flag may be used to specify an alternate socket name.
The protection modes on this socket govern which users may access the
APM functions.
.Pp
.Pa /dev/apmctl
is the control device which is used when the
.Fl d
flag is specified; it must be writable for the
.Fl d
flag to work successfully.
.Pa /dev/apm
is the status device used when the socket is not accessible; it must be
readable to provide current APM status.
.Sh SEE ALSO
.Xr apm 4 ,
.Xr apmd 8
.Sh REFERENCES
Advanced Power Management (APM) BIOS Interface Specification (revision
1.1), Intel Corporation and Microsoft Corporation
.Sh HISTORY
The
.Nm
command appeared in
.Nx 1.3 .
